name: Build a docker image for node-jellyfin-role-bot
run-name: ${{ gitea.actor }} is building an image
on: 
  push:
    tags:
      - '*'
env:
  REGISTRY: gitea.brudi.xyz
  IMAGE_NAME: ${{ gitea.repository }}
  USER: ${{ gitea.actor }}
jobs:
  build-docker-image:
    runs-on: ubuntu-latest
      #if: gitea.ref == 'refs/heads/master'
    container: catthehacker/ubuntu:act-latest
    permissions:
      contents: read
      packages: write
    steps:
      - name: Checkout repository
        uses: actions/checkout@v3
      - name: Log in to the Container registry
        run: docker login -u ${{ env.USER }} -p ${{ secrets.TOKEN }} ${{ env.REGISTRY }}
      - name: Build Container
        run: docker build --target compile -t "${{ env.REGISTRY }}/${{ env.IMAGE_NAME }}:latest" .
      - name: Push Container
        run: docker push --all-tags "${{ env.REGISTRY }}/${{ env.IMAGE_NAME }}"
